package arquillian_example_tests;

import static org.junit.Assert.*;

import org.jboss.arquillian.api.Deployment;
import org.jboss.arquillian.junit.Arquillian;
import org.jboss.shrinkwrap.api.ShrinkWrap;
import org.jboss.shrinkwrap.api.spec.JavaArchive;
import org.junit.Test;
import org.junit.runner.RunWith;
import javax.inject.Inject;

@RunWith(Arquillian.class)
public class TemperatureConverterTest 
{
	@Inject
	private TemperatureConverter converter;
	
	@Deployment
	public static JavaArchive createTestArchive()
	{
		return ShrinkWrap.create(JavaArchive.class, "test.jar")
			.addClasses(TemperatureConverter.class);
	}
	
	@SuppressWarnings("deprecation")
	@Test
	public void testConvertToCelsius()
	{
		assertEquals(converter.convertToCelsius(32d), 0d);
		assertEquals(converter.convertToCelsius(212d), 100d);
	}
	
	@SuppressWarnings("deprecation")
	@Test
	public void testConvertToFahrenheit()
	{
		assertEquals(converter.convertToFahrenheit(0d), 32d);
		assertEquals(converter.convertToFahrenheit(100d), 212d);
	}
}
